Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class WeakishReference.HardReference

    java.lang.Object
      |
      +--org.apache.tools.ant.util.WeakishReference
            |
            +--org.apache.tools.ant.util.WeakishReference.HardReference

Enclosing class:
  WeakishReference

public static class WeakishReference.HardReference
extends WeakishReference

A hard reference for Java 1.1

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.util.WeakishReference
`WeakishReference.HardReference`

Constructor Summary
`WeakishReference.HardReference(java.lang.Object object)` construct

Method Summary
`java.lang.Object` | `get()` Returns this reference object's referent.

Methods inherited from class org.apache.tools.ant.util.WeakishReference
`createReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakishReference.HardReference

    public WeakishReference.HardReference(java.lang.Object object)

  construct

Parameters:
  `object` -

Method Detail

### get

    public java.lang.Object get()

  Returns this reference object's referent.

  Specified by:
    `get` in class `WeakishReference`
  Returns:
    The object to which this reference refers, or `null` if this reference object has been cleared

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.